problems with polkit

Olaf Grüttner olaf.gruettner at web.de
Thu Jul 1 07:05:47 PDT 2010


I tried eggdbus 0.6 and found strange errors which I am not able to explain but could leave to errors with polkit install:
...
Warning: unable to resolve '%org.freedesktop.DBus.Error.OOM'
...

...
Warning: unable to resolve '#Tweak'
...
...
Making all in man
make[3]: Entering directory `/sources/eggdbus-0.6/docs/man'
/usr/bin/xsltproc -nonet
http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl
eggdbus-binding-tool.xml
Warn: meta author : no refentry/info/author
eggdbus-binding-tool
Note: meta author : see http://docbook.sf.net/el/author
eggdbus-binding-tool
Warn: meta author : no author data, so inserted a fixme
eggdbus-binding-tool
Note: Writing eggdbus-binding-tool.1

even though showing errors the eggdbus package was installable. 

I was finally able to install polkit by disabling documentation:

I added --disable-gtk-doc-html --disable-man-pages 
to the configure script and the compile and install was ok.

> It's just documentation, and I've occasionally had trouble with packages
> using gtk-doc before. If polkit has a "--disable-gtk-doc" (or similar)
> configure flag, I'd suggest using it.
> 
> Simon.
> -- 
> http://linuxfromscratch.org/mailman/listinfo/blfs-support
> FAQ: http://www.linuxfromscratch.org/blfs/faq.html
> Unsubscribe: See the above information page

Olaf




More information about the blfs-support mailing list